'use strict';

var constants = require('../../constants.js');
var Buffer = require('../geometry/Buffer.js');
var Geometry = require('../geometry/Geometry.js');

class BatchGeometry extends Geometry.Geometry {
  /**
   * @param {boolean} [_static=false] - Optimization flag, where `false`
   *        is updated every frame, `true` doesn't change frame-to-frame.
   */
  constructor(_static = false) {
    super();
    this._buffer = new Buffer.Buffer(null, _static, false);
    this._indexBuffer = new Buffer.Buffer(null, _static, true);
    this.addAttribute("aVertexPosition", this._buffer, 2, false, constants.TYPES.FLOAT).addAttribute("aTextureCoord", this._buffer, 2, false, constants.TYPES.FLOAT).addAttribute("aColor", this._buffer, 4, true, constants.TYPES.UNSIGNED_BYTE).addAttribute("aTextureId", this._buffer, 1, false, constants.TYPES.FLOAT).addIndex(this._indexBuffer);
  }
}

exports.BatchGeometry = BatchGeometry;
//# sourceMappingURL=BatchGeometry.js.map
