'use strict';

var settings = require('../settings/settings.js');
require('../utils/settings.js');
require('../utils/is_mobile/index.js');
require('../constants.js');
var deprecation = require('../utils/logging/deprecation.js');
require('../color.js');
require('../utils/color/premultiply.js');
require('../utils/media/BoundingBox.js');
var Ticker = require('./Ticker.js');

Object.defineProperties(settings.settings, {
  /**
   * Target frames per millisecond.
   * @static
   * @name TARGET_FPMS
   * @memberof PIXI.settings
   * @type {number}
   * @deprecated since 7.1.0
   * @see PIXI.Ticker.targetFPMS
   */
  TARGET_FPMS: {
    get() {
      return Ticker.Ticker.targetFPMS;
    },
    set(value) {
      deprecation.deprecation("7.1.0", "settings.TARGET_FPMS is deprecated, use Ticker.targetFPMS");
      Ticker.Ticker.targetFPMS = value;
    }
  }
});

exports.settings = settings.settings;
//# sourceMappingURL=settings.js.map
